Index: build_tools/make_defaults_h
===================================================================
--- build_tools/make_defaults_h	(revision 76311)
+++ build_tools/make_defaults_h	(working copy)
@@ -15,7 +15,7 @@
 #define AST_LOG_DIR    "${INSTALL_PATH}${ASTLOGDIR}"
 #define AST_AGI_DIR    "${INSTALL_PATH}${AGI_DIR}"
 #define AST_KEY_DIR    "${INSTALL_PATH}${ASTVARLIBDIR}/keys"
-#define AST_DB         "${INSTALL_PATH}${ASTVARLIBDIR}/astdb"
+#define AST_DB         "${INSTALL_PATH}${ASTDBDIR}/astdb"
 #define AST_TMP_DIR    "${INSTALL_PATH}${ASTSPOOLDIR}/tmp"

 #define AST_CONFIG_FILE "${INSTALL_PATH}${ASTCONFPATH}"
Index: Makefile
===================================================================
--- Makefile	(revision 76311)
+++ Makefile	(working copy)
@@ -35,6 +35,7 @@
 export MODULES_DIR
 export ASTSPOOLDIR
 export ASTVARLIBDIR
+export ASTDBDIR
 export ASTDATADIR
 export ASTLOGDIR
 export ASTLIBDIR
@@ -107,6 +108,7 @@
   ASTBINDIR=/opt/asterisk/bin
   ASTSBINDIR=/opt/asterisk/sbin
   ASTVARRUNDIR=/var/run/asterisk
+  ASTDBDIR=/var/opt/asterisk
   ASTMANDIR=/opt/asterisk/man
 else
   ASTETCDIR=$(sysconfdir)/asterisk
@@ -120,9 +122,11 @@
   ASTMANDIR=$(mandir)
 ifneq ($(findstring BSD,$(OSARCH)),)
   ASTVARLIBDIR=$(prefix)/share/asterisk
+  ASTDBDIR=$(localstatedir)/db/asterisk
   ASTVARRUNDIR=$(localstatedir)/run/asterisk
 else
   ASTVARLIBDIR=$(localstatedir)/lib/asterisk
+  ASTDBDIR=$(localstatedir)/lib/asterisk
 endif
 endif
 ifeq ($(ASTDATADIR),)
@@ -417,6 +421,7 @@
 	mkdir -p $(DESTDIR)$(ASTETCDIR)
 	mkdir -p $(DESTDIR)$(ASTBINDIR)
 	mkdir -p $(DESTDIR)$(ASTVARRUNDIR)
+	mkdir -p $(DESTDIR)$(ASTDBDIR)
 	mkdir -p $(DESTDIR)$(ASTSPOOLDIR)/voicemail
 	mkdir -p $(DESTDIR)$(ASTSPOOLDIR)/dictate
 	mkdir -p $(DESTDIR)$(ASTSPOOLDIR)/system
@@ -537,6 +542,7 @@
 		echo "astetcdir => $(ASTETCDIR)" ; \
 		echo "astmoddir => $(MODULES_DIR)" ; \
 		echo "astvarlibdir => $(ASTVARLIBDIR)" ; \
+		echo "astdbdir => $(ASTDBDIR)" ; \
 		echo "astdatadir => $(ASTDATADIR)" ; \
 		echo "astagidir => $(AGI_DIR)" ; \
 		echo "astspooldir => $(ASTSPOOLDIR)" ; \
Index: main/db.c
===================================================================
--- main/db.c	(revision 76311)
+++ main/db.c	(working copy)
@@ -63,7 +63,7 @@
 static int dbinit(void)
 {
 	if (!astdb && !(astdb = dbopen((char *)ast_config_AST_DB, O_CREAT | O_RDWR, AST_FILE_MODE, DB_BTREE, NULL))) {
-		ast_log(LOG_WARNING, "Unable to open Asterisk database\n");
+		ast_log(LOG_WARNING, "Unable to open Asterisk database %s\n", ast_config_AST_DB);
 		return -1;
 	}
 	return 0;
Index: main/asterisk.c
===================================================================
--- main/asterisk.c	(revision 76311)
+++ main/asterisk.c	(working copy)
@@ -2339,6 +2339,7 @@
 			snprintf(ast_config_AST_MONITOR_DIR, sizeof(ast_config_AST_MONITOR_DIR) - 1, "%s/monitor", v->value);
 		} else if (!strcasecmp(v->name, "astvarlibdir")) {
 			ast_copy_string(ast_config_AST_VAR_DIR, v->value, sizeof(ast_config_AST_VAR_DIR));
+		} else if (!strcasecmp(v->name, "astdbdir")) {
 			snprintf(ast_config_AST_DB, sizeof(ast_config_AST_DB), "%s/astdb", v->value);
 		} else if (!strcasecmp(v->name, "astdatadir")) {
 			ast_copy_string(ast_config_AST_DATA_DIR, v->value, sizeof(ast_config_AST_DATA_DIR));
